IDLAC(1)

NAME
idlac - PolyORB's IDL-to-Ada compiler

SYNOPSIS
idlac [-Edikpqv] [-[no]ir] [-gnatW8] [-o DIR] idl_file [-cppargs ...]

DESCRIPTION
idlac is an IDL-to-Ada compiler, compliant with version 1.2 of the "Ada Language Mapping Specification" produced by the OMG.

OPTIONS
idlac accepts the following options:

-E  Preprocess only.

-d  Generate delegation package.

-i  Generate implementation template.

-s  Generate server side code.

-c  Generate client side code.

-k  Keep temporary files.

-p  Produce source on standard output.

-q  Be quiet (default).

-v  Be verbose.

-ir Generate code for interface repository.

-noir
    Don't generate code for interface repository (default).

-gnatW8
    Use UTF8 character encoding.

-o DIR
    Specify output directory.

-cppargs ARGS
    Pass ARGS to the C++ preprocessor.

-I dir
    Shortcut for -cppargs -I dir.

EXIT STATUS
idlac returns one of the following values upon exit:

0   Successful completion

1   Usage error

2   Illegal IDL specification

AUTHORS
The PolyORB team, polyorb-devel@lists.adacore.com.

SEE ALSO
The PolyORB WWW page, http://libre.adacore.com/polyorb/